Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util.dom
Class EntityFixer

    java.lang.Object
      com.beasys.commerce.util.dom.EntityFixer

Deprecated See BEA Commerce product offering

    @Deprecated
    public class EntityFixer

extends Object

A utility class for replacing standard XML entities with their character values.

Field Summary
`protected static String[][]` | `defReplaceEntities` Deprecated See BEA Commerce product offering
`protected Hashtable` | `entities` Deprecated See BEA Commerce product offering
`protected static EntityFixer` | `instance` Deprecated See BEA Commerce product offering

Constructor Summary
`EntityFixer()` Deprecated See BEA Commerce product offering

Method Summary
`String` | `addEntityMapping(String chars, String value)` Deprecated See BEA Commerce product offering
`String` | `fixEntities(String in)` Deprecated See BEA Commerce product offering
`String` | `getEntityMapping(String chars)` Deprecated See BEA Commerce product offering
`static EntityFixer` | `getInstance()` Deprecated See BEA Commerce product offering
`String` | `removeEntityMapping(String chars)` Deprecated See BEA Commerce product offering
`static String` | `replace(String inStr, String find, String replace)` Deprecated Use `StringUtils`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static EntityFixer instance

  Deprecated See BEA Commerce product offering
  The singleton EntityFixer.

### defReplaceEntities

    protected static final String[][] defReplaceEntities

  Deprecated See BEA Commerce product offering
  Default XML/HTML entities that represent special character sequences.

### entities

    protected Hashtable entities

  Deprecated See BEA Commerce product offering
  Our character to entity mapping.

Constructor Detail

### EntityFixer

    public EntityFixer()

  Deprecated See BEA Commerce product offering

  Constructor.

  This will initialize the entity mapping with the default values.

Method Detail

### addEntityMapping

    public String addEntityMapping(String chars,
                                   String value)

  Deprecated See BEA Commerce product offering

  Add a characters to value mapping (i.e. "%" -> "&pect;")

  Parameters
    `chars` - the characters ("%").
    `value` - the string to replace chars with ("&pect;").
  Returns
    the previous value, or null if none.
  Throws
    `IllegalArgumentException` - thrown if chars is "&".

### removeEntityMapping

    public String removeEntityMapping(String chars)

  Deprecated See BEA Commerce product offering

  Remove an entity mapping.

### getEntityMapping

    public String getEntityMapping(String chars)

  Deprecated See BEA Commerce product offering

  Retrive the a current entity mapping.

### fixEntities

    public String fixEntities(String in)

  Deprecated See BEA Commerce product offering

### replace

    public static String replace(String inStr,
                                 String find,
                                 String replace)

  Deprecated Use `StringUtils`

  String search and replace method.

### getInstance

    public static EntityFixer getInstance()

  Deprecated See BEA Commerce product offering

  Get the singleton instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved